<template>
  <div class="index-content">
    <v-row justify="center" :class="$vuetify.breakpoint.mdAndDown ? 'mdAndDown' : 'mdAndUp' ">
      <v-col class="textos" cols="12">
        <v-row>
          <span :class="$vuetify.breakpoint.mdAndDown ? 'headline font-weight-bold ml-3' : 'display-3 ml-12 font-weight-bold'">Sistema de gestión veterinaria </span>
        </v-row>
        <v-row>
          <span :class="$vuetify.breakpoint.mdAndDown ? 'headline font-weight-bold ml-3' : 'display-3 ml-12 font-weight-bold'">sysVet</span>
        </v-row>
        <v-row :class="$vuetify.breakpoint.mdAndDown ? 'subtitle-1 ml-0 mt-6' : 'headline ml-10 mt-6'">
          Gestión de
          <div class="slidingVertical">
            <span>Turnos.</span>
            <span>Clientes.</span>
            <span>Ventas.</span>
            <span>Stock.</span>
          </div>
        </v-row>
      </v-col>
    </v-row>
  </div>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator'

@Component({
  components: {
  },
  head: { title: 'Inicio' },
  middleware: 'auth'

})
export default class index extends Vue {
  get urlActual () {
    return this.$route.name
  }
}
</script>
<style lang="scss">

.mdAndDown{
  top: 30vh;
  position: absolute;
}
.mdAndUp{
  top: 45vh;
  position: absolute;
}
.textos{
  color: white;
  text-shadow: 2px 2px 6px rgba(0,0,0,0.69);
}

/*Vertical Sliding*/
.slidingVertical{
  display: inline;
  text-indent: 8px;
}
.slidingVertical span{
  animation: topToBottom 10s linear infinite 0s;
  -ms-animation: topToBottom 10s linear infinite 0s;
  -webkit-animation: topToBottom 10s linear infinite 0s;
  color: #d6aefd;
  opacity: 0;
  overflow: hidden;
  position: absolute;
}
.slidingVertical span:nth-child(2){
  animation-delay: 2.5s;
  -ms-animation-delay: 2.5s;
  -webkit-animation-delay: 2.5s;
}
.slidingVertical span:nth-child(3){
  animation-delay: 5s;
  -ms-animation-delay: 5s;
  -webkit-animation-delay: 5s;
}
.slidingVertical span:nth-child(4){
  animation-delay: 7.5s;
  -ms-animation-delay: 7.5s;
  -webkit-animation-delay: 7.5s;
}

/*topToBottom Animation*/
@-moz-keyframes topToBottom{
  0% { opacity: 0; }
  5% { opacity: 0; -moz-transform: translateY(-50px); }
  10% { opacity: 1; -moz-transform: translateY(0px); }
  25% { opacity: 1; -moz-transform: translateY(0px); }
  30% { opacity: 0; -moz-transform: translateY(50px); }
  80% { opacity: 0; }
  100% { opacity: 0; }
}
@-webkit-keyframes topToBottom{
  0% { opacity: 0; }
  5% { opacity: 0; -webkit-transform: translateY(-50px); }
  10% { opacity: 1; -webkit-transform: translateY(0px); }
  25% { opacity: 1; -webkit-transform: translateY(0px); }
  30% { opacity: 0; -webkit-transform: translateY(50px); }
  80% { opacity: 0; }
  100% { opacity: 0; }
}
@-ms-keyframes topToBottom{
  0% { opacity: 0; }
  5% { opacity: 0; -ms-transform: translateY(-50px); }
  10% { opacity: 1; -ms-transform: translateY(0px); }
  25% { opacity: 1; -ms-transform: translateY(0px); }
  30% { opacity: 0; -ms-transform: translateY(50px); }
  80% { opacity: 0; }
  100% { opacity: 0; }
}

</style>
